//
//  ========================================================================
//  Copyright (c) 1995-2017 Mort Bay Consulting Pty. Ltd.
//  ------------------------------------------------------------------------
//  All rights reserved. This program and the accompanying materials
//  are made available under the terms of the Eclipse Public License v1.0
//  and Apache License v2.0 which accompanies this distribution.
//
//      The Eclipse Public License is available at
//      http://www.eclipse.org/legal/epl-v10.html
//
//      The Apache License v2.0 is available at
//      http://www.opensource.org/licenses/apache2.0.php
//
//  You may elect to redistribute this code under either of these licenses.
//  ========================================================================
//

package org.eclipse.jetty.spdy.api;

/**
 * <p>Helper class that holds useful SPDY constants.</p>
 */
public class SPDY
{
    /**
     * <p>Constant that indicates the version 2 of the SPDY protocol</p>
     */
    public static final short V2 = 2;

    /**
     * <p>Constant that indicates the version 3 of the SPDY protocol</p>
     */
    public static final short V3 = 3;

    private SPDY()
    {
    }
}
